Skip to content

Endpoint

  • Method: GET
  • Path: /schedules/{id}
  • Edition: Core
  • Controller: SchedulesController@getBooking
  • Route source: fluent-booking/app/Http/Routes/api.php:72
  • Policy: MeetingPolicy

Get Booking

GET
/schedules/{id}

Handler: SchedulesController@getBooking. Source: fluent-booking/app/Http/Routes/api.php:72.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Id path parameter.

Type
string
Required

Responses

Successful response.

application/json
JSON
{
"booking": {
"id": 0,
"hash": "string",
"calendar_id": 0,
"event_id": 0,
"group_id": 0,
"fcrm_id": {
},
"parent_id": {
},
"host_user_id": 0,
"person_user_id": 0,
"person_contact_id": {
},
"person_time_zone": "string",
"start_time": "string",
"end_time": "string",
"slot_minutes": 0,
"first_name": "string",
"last_name": "string",
"email": "string",
"message": "string",
"internal_note": "string",
"phone": "string",
"country": "string",
"ip_address": "string",
"browser": "string",
"device": "string",
"other_info": "string",
"location_details": "string",
"cancelled_by": {
},
"status": "string",
"source": "string",
"booking_type": "string",
"event_type": "string",
"payment_status": {
},
"payment_method": {
},
"source_url": "string",
"source_id": {
},
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI